#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1 )
#-----------------------------------------------------------------------------
Name		:	XML-Parser
Version		:	2.47
Release		:	17.0.10.rel%{?dist}
Summary		:	Perl module for parsing XML files
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ Or Artistic
URL		:	https://github.com/chorny/XML-Parser

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
This module provides ways to parse XML documents. It is built on top
of XML::Parser::Expat, which is a lower level interface to James
Clark's expat library. Each call to one of the parsing methods creates
a new instance of XML::Parser::Expat which is then used to parse the
document. Expat options may be provided when the XML::Parser object is
created. These options are then passed on to the Expat object on each
parse call. They can also be given as extra arguments to the parse
methods, in which case they override options given at XML::Parser
creation time.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc README Changes samples
%{_prefix}/lib/perl5/%{perlvers}/site_perl/XML/Parser/*
%{_prefix}/lib/perl5/%{perlvers}/site_perl/XML/Parser.pm
%{_prefix}/lib/perl5/%{perlvers}/site_perl/auto/XML/Parser/Expat/Expat.so
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#removing reference to /usr/local/bin/python within
#files to avoid a false dependencies
sed -i							\
  -e 's:^#!./usr/local/bin/perl:#!/usr/bin/perl:'	\
  -e 's:^#!/usr/local/bin/perl:#!/usr/bin/perl:'	\
	samples/{xmlstats,xmlcomments,canonical,xmlfilter}


%{__perl} Makefile.PL

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
chmod -R +w %{buildroot}%{_prefix}/lib
find %{buildroot} -name ".packlist" | xargs rm -f
find %{buildroot} -name "perllocal.pod" | xargs rm -f

#-----------------------------------------------------------------------------
%changelog
